logo
Welcome to our new AbleCommerce forums. As a guest, you may view the information here. To post to this forum, you must have a registered account with us, either as a new user evaluating AbleCommerce or an existing user of the application. For all questions related to the older version of Gold and earlier, please go to AbleCommerce Gold forum. Please use your AbleCommerce username and password to Login. New Registrations are disabled.

Notification

Icon
Error

Options
Go to last post Go to first unread
Joe Payne2  
#1 Posted : Wednesday, August 31, 2022 5:03:17 AM(UTC)
Joe Payne2

Rank: Advanced Member

Groups: HelpDesk, Developers
Joined: 11/9/2018(UTC)
Posts: 564

Thanks: 122 times
Was thanked: 26 time(s) in 25 post(s)
Now that AC9 has been out for a few years, it's time to refresh all the NuGet packages. You're still running a 5-year old version of nHibernate. That's 5 years worth of bug fixes and improvements in the core data layer. Not to mention all the other packages used in this app that are now quite old or fully depreciated.

Wanna join the discussion?! Login to your AbleCommerce Forums forum account. New Registrations are disabled.

shaharyar  
#2 Posted : Thursday, September 1, 2022 6:12:21 AM(UTC)
shaharyar

Rank: Advanced Member

Groups: Admin, Developers, Registered, HelpDesk, Authorized User
Joined: 10/5/2018(UTC)
Posts: 703

Thanks: 5 times
Was thanked: 113 time(s) in 112 post(s)
Hi Joe,

We keep on trying to upgrade our Nuget packages with every release. If you notice we have upgraded many nuget packages in 9.0.6.

[AC9-1877] - Update MVC Packages to 5.2.7
[AC9-1879] - Make nunit work with Visual Studio 2019
[AC9-1880] - Upgrade JQuery to the latest version
[AC9-1881] - Upgrade jquery validations to the latest version
[AC9-1882] - Upgrade Google Authenticator to latest version
[AC9-1884] - Upgrade compiler related packages
[AC9-1885] - Upgrade Zapier project dependencies and cleanup

For nHibernate, we did try to upgrade to the latest version but there were some errors occurring related to L2 cache. Mazhar also reported issues to them.
Things are working quite stable for now. We will try to upgrade in upcoming releases.

Some details are also shared in this forum thread.
https://www.ablecommerce...ibernate-Bytecode-Castle
Users browsing this topic
Guest (4)
Forum Jump  
You cannot post new topics in this forum.
You cannot reply to topics in this forum.
You cannot delete your posts in this forum.
You cannot edit your posts in this forum.
You cannot create polls in this forum.
You cannot vote in polls in this forum.